-- Version: 8.0 SP1A 8.0.2.105
-- File used only for Simulation

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;
use Axcelerator.all;

entity SPACEWIRE_1PORT_TOP is

    port( RDATARX1P   : in    std_logic;
          RDATARX1N   : in    std_logic;
          RSTROBERX1N : in    std_logic;
          PDATARX1N   : in    std_logic;
          PDATARX1P   : in    std_logic;
          PSTROBERX1P : in    std_logic;
          RSTROBERX1P : in    std_logic;
          DSCLK       : out   std_logic;
          RSELECT     : in    std_logic;
          PSELECT     : in    std_logic;
          STROBETX    : in    std_logic;
          DATATX      : in    std_logic;
          TSELECT     : in    std_logic;
          SAMPLECLK   : in    std_logic;
          RESET       : in    std_logic;
          OUT_RX_F    : out   std_logic;
          OUT_RX_R    : out   std_logic;
          SI          : in    std_logic;
          SO          : in    std_logic;
          PSTROBERX1N : in    std_logic
        );

end SPACEWIRE_1PORT_TOP;

architecture DEF_ARCH of SPACEWIRE_1PORT_TOP is 

  component DFEG
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component IOPADP_IN
    port( N2PIN : in    std_logic := 'U';
          PAD   : in    std_logic := 'U';
          Y     : out   std_logic
        );
  end component;

  component IOPADN_IN
    port( PAD    : in    std_logic := 'U';
          N2POUT : out   std_logic
        );
  end component;

  component DFEH
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component IOOE_BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_TRI
    port( D   : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component RCLKMUX
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOFIFO_OUTBUF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOPAD_IN
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component CM8
    port( D0  : in    std_logic := 'U';
          D1  : in    std_logic := 'U';
          D2  : in    std_logic := 'U';
          D3  : in    std_logic := 'U';
          S00 : in    std_logic := 'U';
          S01 : in    std_logic := 'U';
          S10 : in    std_logic := 'U';
          S11 : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component CM8INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOFIFO_INBUF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component IOI_BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component HCLKMUX
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component CLKINT_W
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component CM8BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal \$1N101\, \$1N111\, \$1N355\, S1_STROBETX_REG, 
        \$1N198\, S1_PSELECT_REG, NS01, \\\NDSCLK[1]\\\, 
        \\\NRXF[1]\\\, \\\NRXR[1]\\\, S1_TSELECT_REG, 
        S1_DATATX_REG, S1_RSELECT_REG, \\\NRS[1]\\\, \\\NRD[1]\\\, 
        \\\NPS[1]\\\, \\\NPD[1]\\\, \\\NS[11]\\\, \$1N99\, 
        \$1N105\, \$1N103\, \$1N355_0\, \SPACEWIRE1/U7Q\, 
        \SPACEWIRE1/U11Q\, \SPACEWIRE1/RDSCLKOUT\, 
        \SPACEWIRE1/TDSCLKOUT\, \SPACEWIRE1/ORCLK\, 
        \SPACEWIRE1/U9Q\, \SPACEWIRE1/DATARX_R\, \SPACEWIRE1/U8Q\, 
        \SPACEWIRE1/DATARX_F\, \SPACEWIRE1/U10Q\, 
        \SPACEWIRE1/Z$1N7\, \SPACEWIRE1/U6Q\, \$1I235/U0/NET1\, 
        \$1I235/U0/NET2\, \$1I235/U0/NET3\, \$1I175/U0/NET1\, 
        \$1I175/U0/NET2\, \$1I236/U0/NET1\, \$1I236/U0/NET2\, 
        \$1I236/U0/NET3\, \$1I358/U0/U0_Y\, \$1I358/U0/U10_N2P\, 
        \$1I358/U0/U1_Y\, \SPACEWIRE1/RCLKBUF/NET0\, 
        \$1I344/U0/NET1\, \$1I234/U0/NET1\, \$1I234/U0/NET2\, 
        \$1I234/U0/NET3\, \$1I186/U0/NET1\, \$1I186/U0/NET2\, 
        \$1I183/U0/NET1\, \$1I183/U0/NET2\, \$1I267/U0/NET1\, 
        \$1I267/U0/NET2\, \$1I192/U0/NET1\, \$1I192/U0/NET2\, 
        \$1I265/U0/NET1\, \$1I265/U0/NET2\, \$1I359/U0/U0_Y\, 
        \$1I359/U0/U10_N2P\, \$1I359/U0/U1_Y\, \$1I357/U0/U0_Y\, 
        \$1I357/U0/U10_N2P\, \$1I357/U0/U1_Y\, \$1I356/U0/U0_Y\, 
        \$1I356/U0/U10_N2P\, \$1I356/U0/U1_Y\, \$1I189/U0/NET1\, 
        \$1I189/U0/NET2\, \VCC\, \GND\, \$1I348/U0/NET1\, 
        \$1I348/U0/NET2\, \$1I234/U0/U3_A_BUFNET0\, AFLSDF_VCC, 
        AFLSDF_GND, AFLSDF_CM8INV_0, AFLSDF_CM8INV_1 : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;

begin 

    AFLSDF_GND <= GND_power_net1;
    \GND\ <= GND_power_net1;
    \VCC\ <= VCC_power_net1;
    AFLSDF_VCC <= VCC_power_net1;

    S1_U15 : DFEG
      port map(D => \$1N101\, CLK => \$1N111\, CLR => \$1N355_0\, 
        PRE => \VCC\, E => \GND\, Q => S1_STROBETX_REG);
    
    \$1I357/U0/U0\ : IOPADP_IN
      port map(N2PIN => \$1I357/U0/U10_N2P\, PAD => PDATARX1P, Y
         => \$1I357/U0/U0_Y\);
    
    \$1I359/U0/U10\ : IOPADN_IN
      port map(PAD => RDATARX1N, N2POUT => \$1I359/U0/U10_N2P\);
    
    \SPACEWIRE1/U8\ : DFEH
      port map(D => \\\NRD[1]\\\, CLK => \\\NDSCLK[1]\\\, CLR => 
        \$1N355\, PRE => \VCC\, E => \GND\, Q => \SPACEWIRE1/U8Q\);
    
    \$1I235/U0/U3\ : IOOE_BUFF
      port map(A => \\\NRXF[1]\\\, Y => \$1I235/U0/NET3\);
    
    \$1I356/U0/U0\ : IOPADP_IN
      port map(N2PIN => \$1I356/U0/U10_N2P\, PAD => PSTROBERX1P, 
        Y => \$1I356/U0/U0_Y\);
    
    \SPACEWIRE1/U10\ : DFEH
      port map(D => \\\NPD[1]\\\, CLK => \\\NDSCLK[1]\\\, CLR => 
        \$1N355\, PRE => \VCC\, E => \GND\, Q => 
        \SPACEWIRE1/U10Q\);
    
    \$1I236/U0/U0\ : IOPAD_TRI
      port map(D => \$1I236/U0/NET1\, E => \$1I236/U0/NET2\, PAD
         => OUT_RX_R);
    
    \$1I357/U0/U10\ : IOPADN_IN
      port map(PAD => PDATARX1N, N2POUT => \$1I357/U0/U10_N2P\);
    
    \SPACEWIRE1/RCLKBUF/U0\ : RCLKMUX
      port map(A => \SPACEWIRE1/RCLKBUF/NET0\, Y => 
        \\\NDSCLK[1]\\\);
    
    \$1I236/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \$1I236/U0/NET3\, Y => \$1I236/U0/NET1\);
    
    \$1I175/U0/U0\ : IOPAD_IN
      port map(PAD => RSELECT, Y => \$1I175/U0/NET1\);
    
    \SPACEWIRE1/A3T\ : CM8
      port map(D0 => AFLSDF_GND, D1 => AFLSDF_GND, D2 => 
        S1_DATATX_REG, D3 => AFLSDF_CM8INV_0, S00 => 
        S1_STROBETX_REG, S01 => AFLSDF_VCC, S10 => S1_TSELECT_REG, 
        S11 => AFLSDF_GND, Y => \SPACEWIRE1/TDSCLKOUT\);
    
    \SPACEWIRE1/U7\ : DFEG
      port map(D => S1_DATATX_REG, CLK => \\\NDSCLK[1]\\\, CLR
         => \$1N355\, PRE => \VCC\, E => \GND\, Q => 
        \SPACEWIRE1/U7Q\);
    
    \SPACEWIRE1/M2_F\ : CM8
      port map(D0 => \SPACEWIRE1/U10Q\, D1 => \SPACEWIRE1/U8Q\, 
        D2 => \SPACEWIRE1/U6Q\, D3 => AFLSDF_GND, S00 => NS01, 
        S01 => AFLSDF_VCC, S10 => \\\NS[11]\\\, S11 => AFLSDF_GND, 
        Y => \SPACEWIRE1/DATARX_F\);
    
    \$1I192/U0/U0\ : IOPAD_IN
      port map(PAD => TSELECT, Y => \$1I192/U0/NET1\);
    
    \SPACEWIRE1/A3T_CM8INV\ : CM8INV
      port map(A => S1_DATATX_REG, Y => AFLSDF_CM8INV_0);
    
    \$1I267/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I267/U0/NET1\, Y => \$1I267/U0/NET2\);
    
    \$1I192/U0/U2\ : IOI_BUFF
      port map(A => \$1I192/U0/NET2\, Y => \$1N99\);
    
    \SPACEWIRE1/F2_F\ : DFEG
      port map(D => \SPACEWIRE1/DATARX_F\, CLK => \\\NDSCLK[1]\\\, 
        CLR => \$1N355_0\, PRE => \VCC\, E => \GND\, Q => 
        \\\NRXF[1]\\\);
    
    \SPACEWIRE1/X1P\ : XOR2
      port map(A => \\\NPD[1]\\\, B => \\\NPS[1]\\\, Y => 
        \SPACEWIRE1/Z$1N7\);
    
    \$1I234/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \$1I234/U0/NET3\, Y => \$1I234/U0/NET1\);
    
    \SPACEWIRE1/A2R\ : CM8
      port map(D0 => AFLSDF_GND, D1 => AFLSDF_GND, D2 => 
        \\\NRD[1]\\\, D3 => AFLSDF_CM8INV_1, S00 => \\\NRS[1]\\\, 
        S01 => AFLSDF_VCC, S10 => S1_RSELECT_REG, S11 => 
        AFLSDF_GND, Y => \SPACEWIRE1/RDSCLKOUT\);
    
    \SPACEWIRE1/U11\ : DFEG
      port map(D => \\\NPD[1]\\\, CLK => \\\NDSCLK[1]\\\, CLR => 
        \$1N355\, PRE => \VCC\, E => \GND\, Q => 
        \SPACEWIRE1/U11Q\);
    
    \$1I356/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I356/U0/U0_Y\, Y => \$1I356/U0/U1_Y\);
    
    \$1I183/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I183/U0/NET1\, Y => \$1I183/U0/NET2\);
    
    \$1I359/U0/U2\ : IOI_BUFF
      port map(A => \$1I359/U0/U1_Y\, Y => \\\NRD[1]\\\);
    
    \$1I356/U0/U2\ : IOI_BUFF
      port map(A => \$1I356/U0/U1_Y\, Y => \\\NPS[1]\\\);
    
    \$1I192/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I192/U0/NET1\, Y => \$1I192/U0/NET2\);
    
    \$1I175/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I175/U0/NET1\, Y => \$1I175/U0/NET2\);
    
    \$1I358/U0/U0\ : IOPADP_IN
      port map(N2PIN => \$1I358/U0/U10_N2P\, PAD => RSTROBERX1P, 
        Y => \$1I358/U0/U0_Y\);
    
    \$1I189/U0/U0\ : IOPAD_IN
      port map(PAD => STROBETX, Y => \$1I189/U0/NET1\);
    
    \$1I183/U0/U0\ : IOPAD_IN
      port map(PAD => PSELECT, Y => \$1I183/U0/NET1\);
    
    \SPACEWIRE1/A2R_CM8INV\ : CM8INV
      port map(A => \\\NRD[1]\\\, Y => AFLSDF_CM8INV_1);
    
    \$1I344/U0/U1\ : HCLKMUX
      port map(A => \$1I344/U0/NET1\, Y => \$1N111\);
    
    \$1I357/U0/U2\ : IOI_BUFF
      port map(A => \$1I357/U0/U1_Y\, Y => \\\NPD[1]\\\);
    
    \$1I265/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I265/U0/NET1\, Y => \$1I265/U0/NET2\);
    
    \$1I265/U0/U0\ : IOPAD_IN
      port map(PAD => SO, Y => \$1I265/U0/NET1\);
    
    \SPACEWIRE1/U6\ : DFEH
      port map(D => S1_DATATX_REG, CLK => \\\NDSCLK[1]\\\, CLR
         => \$1N355\, PRE => \VCC\, E => \GND\, Q => 
        \SPACEWIRE1/U6Q\);
    
    \SPACEWIRE1/U9\ : DFEG
      port map(D => \\\NRD[1]\\\, CLK => \\\NDSCLK[1]\\\, CLR => 
        \$1N355\, PRE => \VCC\, E => \GND\, Q => \SPACEWIRE1/U9Q\);
    
    \$1I236/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \$1I236/U0/NET2\);
    
    \$1I234/U0/U0\ : IOPAD_TRI
      port map(D => \$1I234/U0/NET1\, E => \$1I234/U0/NET2\, PAD
         => DSCLK);
    
    S1_U13 : DFEG
      port map(D => \$1N105\, CLK => \$1N111\, CLR => \$1N355_0\, 
        PRE => \VCC\, E => \GND\, Q => S1_RSELECT_REG);
    
    \$1I358/U0/U2\ : IOI_BUFF
      port map(A => \$1I358/U0/U1_Y\, Y => \\\NRS[1]\\\);
    
    \$1I358/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I358/U0/U0_Y\, Y => \$1I358/U0/U1_Y\);
    
    \$1I356/U0/U10\ : IOPADN_IN
      port map(PAD => PSTROBERX1N, N2POUT => \$1I356/U0/U10_N2P\);
    
    \$1I234/U0/U3\ : IOOE_BUFF
      port map(A => \$1I234/U0/U3_A_BUFNET0\, Y => 
        \$1I234/U0/NET3\);
    
    \$1I186/U0/U2\ : IOI_BUFF
      port map(A => \$1I186/U0/NET2\, Y => \$1N103\);
    
    \SPACEWIRE1/RCLKBUF/U1\ : CLKINT_W
      port map(A => \SPACEWIRE1/ORCLK\, Y => 
        \SPACEWIRE1/RCLKBUF/NET0\);
    
    \SPACEWIRE1/F1_R\ : DFEG
      port map(D => \SPACEWIRE1/DATARX_R\, CLK => \\\NDSCLK[1]\\\, 
        CLR => \$1N355_0\, PRE => \VCC\, E => \GND\, Q => 
        \\\NRXR[1]\\\);
    
    S1_U12 : DFEG
      port map(D => \$1N198\, CLK => \$1N111\, CLR => \$1N355_0\, 
        PRE => \VCC\, E => \GND\, Q => S1_PSELECT_REG);
    
    \$1I235/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \$1I235/U0/NET2\);
    
    \$1I267/U0/U0\ : IOPAD_IN
      port map(PAD => SI, Y => \$1I267/U0/NET1\);
    
    \$1I267/U0/U2\ : IOI_BUFF
      port map(A => \$1I267/U0/NET2\, Y => \\\NS[11]\\\);
    
    \$1I235/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \$1I235/U0/NET3\, Y => \$1I235/U0/NET1\);
    
    \$1I189/U0/U2\ : IOI_BUFF
      port map(A => \$1I189/U0/NET2\, Y => \$1N101\);
    
    \$1I186/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I186/U0/NET1\, Y => \$1I186/U0/NET2\);
    
    \$1I234/U0/U3_A_BUF0\ : CM8BUFF
      port map(A => \\\NDSCLK[1]\\\, Y => 
        \$1I234/U0/U3_A_BUFNET0\);
    
    \SPACEWIRE1/O1\ : CM8
      port map(D0 => AFLSDF_GND, D1 => AFLSDF_VCC, D2 => 
        AFLSDF_VCC, D3 => AFLSDF_VCC, S00 => S1_PSELECT_REG, S01
         => \SPACEWIRE1/Z$1N7\, S10 => \SPACEWIRE1/TDSCLKOUT\, 
        S11 => \SPACEWIRE1/RDSCLKOUT\, Y => \SPACEWIRE1/ORCLK\);
    
    \$1I359/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I359/U0/U0_Y\, Y => \$1I359/U0/U1_Y\);
    
    \$1I348/U0/U0\ : IOPAD_IN
      port map(PAD => RESET, Y => \$1I348/U0/NET1\);
    
    \$1I235/U0/U0\ : IOPAD_TRI
      port map(D => \$1I235/U0/NET1\, E => \$1I235/U0/NET2\, PAD
         => OUT_RX_F);
    
    \SPACEWIRE1/M1_R\ : CM8
      port map(D0 => \SPACEWIRE1/U11Q\, D1 => \SPACEWIRE1/U9Q\, 
        D2 => \SPACEWIRE1/U7Q\, D3 => AFLSDF_GND, S00 => NS01, 
        S01 => AFLSDF_VCC, S10 => \\\NS[11]\\\, S11 => AFLSDF_GND, 
        Y => \SPACEWIRE1/DATARX_R\);
    
    \$1I265/U0/U2\ : IOI_BUFF
      port map(A => \$1I265/U0/NET2\, Y => NS01);
    
    \$1I344/U0/U0\ : IOPAD_IN
      port map(PAD => SAMPLECLK, Y => \$1I344/U0/NET1\);
    
    \$1I189/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I189/U0/NET1\, Y => \$1I189/U0/NET2\);
    
    S1_U16 : DFEG
      port map(D => \$1N99\, CLK => \$1N111\, CLR => \$1N355_0\, 
        PRE => \VCC\, E => \GND\, Q => S1_TSELECT_REG);
    
    \$1I183/U0/U2\ : IOI_BUFF
      port map(A => \$1I183/U0/NET2\, Y => \$1N198\);
    
    \$1I359/U0/U0\ : IOPADP_IN
      port map(N2PIN => \$1I359/U0/U10_N2P\, PAD => RDATARX1P, Y
         => \$1I359/U0/U0_Y\);
    
    \$1I236/U0/U3\ : IOOE_BUFF
      port map(A => \\\NRXR[1]\\\, Y => \$1I236/U0/NET3\);
    
    \$1I348_0\ : BUFF
      port map(A => \$1N355\, Y => \$1N355_0\);
    
    \$1I357/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I357/U0/U0_Y\, Y => \$1I357/U0/U1_Y\);
    
    \$1I175/U0/U2\ : IOI_BUFF
      port map(A => \$1I175/U0/NET2\, Y => \$1N105\);
    
    S1_U14 : DFEG
      port map(D => \$1N103\, CLK => \$1N111\, CLR => \$1N355_0\, 
        PRE => \VCC\, E => \GND\, Q => S1_DATATX_REG);
    
    \$1I186/U0/U0\ : IOPAD_IN
      port map(PAD => DATATX, Y => \$1I186/U0/NET1\);
    
    \$1I358/U0/U10\ : IOPADN_IN
      port map(PAD => RSTROBERX1N, N2POUT => \$1I358/U0/U10_N2P\);
    
    \$1I234/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \$1I234/U0/NET2\);
    
    \$1I348/U0/U2\ : IOI_BUFF
      port map(A => \$1I348/U0/NET2\, Y => \$1N355\);
    
    \$1I348/U0/U1\ : IOFIFO_INBUF
      port map(A => \$1I348/U0/NET1\, Y => \$1I348/U0/NET2\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
